/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 03/07/2003
* Description        : This file gives an example of the use of the PWM input
*                      feature. The signal periode is stored in the ICAR
*                      register and the pulse length in the ICBR. The signal must be connected 
*                      to IN2 input.
********************************************************************************
* History:
*  03/07/2003 : First Version
*  30/11/2004 : V2.0
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"

#define T3_ICAP_A 0x02

int main(void)
{
  #ifdef DEBUG
  debug ();
  #endif

  //---------------------------------------------------------------------------
  // Initialization
  //---------------------------------------------------------------------------
  // Configure the GPIO1 Port
  // Timer 3 Output Compare function pin (P1.1) configured as Alternate
  // function pushpull.
  GPIO_Config (GPIO1, T3_ICAP_A, GPIO_IN_TRI_TTL );
  // Initialize the Timer
  TIM_Init ( TIM3 );

  //---------------------------------------------------------------------------
  // Configure the TIM3
  //---------------------------------------------------------------------------
  // Configure the prescaler
  TIM_PrescalerConfig ( TIM3, 0x00 );
  // Start the Counter
  TIM_CounterConfig ( TIM3, TIM_START );
  // Configure the PWM input Mode
  TIM_PWMIModeConfig ( TIM3, TIM_RISING );

  while (1);
}
