/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 16/09/2003
* Description        : This file gives an example on the PWM generation.
********************************************************************************
* History:
*  16/09/03 : First Version
*  30/11/2004 : V2.0
********************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"

#define T1_OCMP_A 0x80

int main(void)
{
  #ifdef DEBUG
  debug ();
  #endif

  //---------------------------------------------------------------------------
  // Initialization
  //---------------------------------------------------------------------------
  // Configure the GPIO1 Port
  // Timer 3 Output Compare function pin (P1.7) configured as Alternate
  // function pushpull.
  GPIO_Config (GPIO1 , T1_OCMP_A , GPIO_AF_PP );
  // Initialize the Timer
  TIM_Init ( TIM1 );
  // Configure the TIM Prescaler
  TIM_PrescalerConfig ( TIM1, 0x1 );

  // Generate a PWM Signal :
  // Full Period  = 7FFF
  // Duty Cycle   = 50 % ( 3FFFF )
  TIM_PWMOModeConfig ( TIM1, 0x3FFF, TIM_HIGH, 0x7FFF, TIM_LOW );

  // Start The Counter
  TIM_CounterConfig ( TIM1, TIM_START );

  while (1);
}
