/******************** (C) COPYRIGHT 2003 STMicroelectronics ********************
* File Name          : main.c
* Author             : MCD Application Team
* Date First Issued  : 16/05/2003
* Description        : This program demonstrates how to use the WDG software
*                      library.
********************************************************************************
* History:
* 24/05/05 : V3.0
* 30/11/04 : V2.0
* 16/05/03 : Created
*******************************************************************************
 THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH
 CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
 AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
 OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT
 OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION
 CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*******************************************************************************/

#include "71x_lib.h"


#define EXAMPLE_1             /*  Free running */
//#define EXAMPLE_2        /*  WDG */
#define Refresh_Time 2000


int main(void)
{
#ifdef EXAMPLE_2
  u32 counter=0xFFFFF;
  u8 count=0xFF;
#endif

#ifdef DEBUG
  debug();
#endif

#ifdef EXAMPLE_1
/*****************************************************************************
*Example 1
******************************************************************************/
  /* GPIO peripheral configuration -------------------------------------------*/

  GPIO_Config (GPIO1, 0x0770, GPIO_OUT_PP);
  GPIO_WordWrite(GPIO1,0xFFFF);
  
  /* WDG peripheral configuration -------------------------------------------*/
  WDG_ECITConfig (DISABLE);
  WDG_CntOnOffConfig (DISABLE);
  WDG_PeriodValueConfig (120345);	/*  120.345 ms */
  
  /* EIC peripheral configuration -------------------------------------------*/
  EIC_IRQChannelPriorityConfig(WDG_IRQChannel, 1);
  EIC_IRQChannelConfig(WDG_IRQChannel, ENABLE);
  EIC_IRQConfig(ENABLE);
  
  WDG_ECITConfig (ENABLE);
  WDG_CntOnOffConfig (ENABLE);
  while(1); /*  infinite loop */
#endif /* EXAMPLE_1 */


#ifdef EXAMPLE_2
/*****************************************************************************
*Example 2
******************************************************************************/
  
  /* GPIO peripheral configuration -------------------------------------------*/

  GPIO_Config (GPIO1, 0xFFFF, GPIO_OUT_PP);
  GPIO_WordWrite(GPIO1,0x0);
 
  /* WDG peripheral configuration -------------------------------------------*/

  WDG_PrescalerConfig (0xFF);
  WDG_CntReloadUpdate (Refresh_Time);

  while(counter--);

  WDG_Enable();

  while(1)
  {
    GPIO_WordWrite(GPIO1,0xFFFF);
    while(count--);
    count=0xFF;
    GPIO_WordWrite(GPIO1,0x0);
    while(count--);
    count=0xFF;
    if(++counter==100)
    {
      counter=0;
      WDG_CntRefresh();
    }
  }
#endif /* EXAMPLE_2 */
}

/******************* (C) COPYRIGHT 2003 STMicroelectronics *****END OF FILE****/
